### Hierarchy

- Overlays

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Overlays(spec: ISpecification): Overlays

- - Defined in lib/renderable/overlays/Overlays.ts:16

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Overlays

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/overlays/Overlays.ts:16

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/overlays/Overlays.ts:25

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc